# Method: projects.locations.datasetConfigs.list

Lists the dataset configurations in a given project for a given location.

### HTTP request

`GET https://storageinsights.googleapis.com/v1/{parent=projects/*/locations/*}/datasetConfigs`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. Parent value for ListDatasetConfigsRequest |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Requested page size. Server might return fewer items than requested. If unspecified, server picks an appropriate default. |
| `pageToken` | `string` A token identifying a page of results the server should return. |
| `filter` | `string` Filtering results |
| `orderBy` | `string` Hint for how to order the results |

### Request body

The request body must be empty.

### Response body

Response message for `https://docs.cloud.google.com/storage/docs/insights/reference/rest/v1/projects.locations.datasetConfigs/list#google.cloud.storageinsights.v1.StorageInsights.ListDatasetConfigs`

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "datasetConfigs": [ { object (`https://docs.cloud.google.com/storage/docs/insights/reference/rest/v1/projects.locations.datasetConfigs#DatasetConfig`) } ], "nextPageToken": string, "unreachable": [ string ] } ``` |

| Fields ||
|---|---|
| `datasetConfigs[]` | ``object (`https://docs.cloud.google.com/storage/docs/insights/reference/rest/v1/projects.locations.datasetConfigs#DatasetConfig`)`` The list of `DatasetConfigs` |
| `nextPageToken` | `string` A token identifying a page of results the server should return. |
| `unreachable[]` | `string` Locations that could not be reached. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `parent` resource:

- `storageinsights.datasetConfigs.list`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).